//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.08.04 at 08:18:05 PM EET 
//


package genericinterface.epg.edafa.com;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for getTransactionHistoryReturn complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="getTransactionHistoryReturn">
 *   &lt;complexContent>
 *     &lt;extension base="{http://com.edafa.epg.genericInterface/}creditCardRegisterationResponse">
 *       &lt;sequence>
 *         &lt;element name="transactionHistioryList">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="transactionHistioryItem" type="{http://com.edafa.epg.genericInterface/}transactionHistoryItem" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getTransactionHistoryReturn", propOrder = {
    "transactionHistioryList"
})
public class GetTransactionHistoryReturn
    extends CreditCardRegisterationResponse
{

    @XmlElement(required = true, nillable = true)
    protected GetTransactionHistoryReturn.TransactionHistioryList transactionHistioryList;

    /**
     * Gets the value of the transactionHistioryList property.
     * 
     * @return
     *     possible object is
     *     {@link GetTransactionHistoryReturn.TransactionHistioryList }
     *     
     */
    public GetTransactionHistoryReturn.TransactionHistioryList getTransactionHistioryList() {
        return transactionHistioryList;
    }

    /**
     * Sets the value of the transactionHistioryList property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetTransactionHistoryReturn.TransactionHistioryList }
     *     
     */
    public void setTransactionHistioryList(GetTransactionHistoryReturn.TransactionHistioryList value) {
        this.transactionHistioryList = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="transactionHistioryItem" type="{http://com.edafa.epg.genericInterface/}transactionHistoryItem" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "transactionHistioryItem"
    })
    public static class TransactionHistioryList {

        protected List<TransactionHistoryItem> transactionHistioryItem;

        /**
         * Gets the value of the transactionHistioryItem property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the transactionHistioryItem property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTransactionHistioryItem().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link TransactionHistoryItem }
         * 
         * 
         */
        public List<TransactionHistoryItem> getTransactionHistioryItem() {
            if (transactionHistioryItem == null) {
                transactionHistioryItem = new ArrayList<TransactionHistoryItem>();
            }
            return this.transactionHistioryItem;
        }

    }

}
